Subject: TLS channel bindings specification exists

From: Nicolas Williams <[email-masked]>
Date: Sat, 28 Feb 2009 13:42:40 -0600

A while back someone asked and I said it wasn't done.  That was a
complete and total brainfart.  I should know better since I reviewed the
specifications that exist:

    http://www.iana.org/assignments/channel-binding-types/

Nico
--

---

From: Nicolas Williams <[email-masked]>
Date: Sat, 28 Feb 2009 14:13:18 -0600

I should note that there are two TLS channel bindings specs that can
apply in a SASL situation.  Which begs the question: which one to use.

The TLS end-point channel binding has the property that it can be used
with TLS concentrators without modifying them.  But then, TLS end-point
channel binding is not always available.  Therefore the TLS end-point
channel binding should be preferred and thus used whenever it's
available.